Get recommendations ICP filters

Retrieve the Ideal Customer Profile (ICP) filters associated with the current user or a specific external user.

Returns the list of saved ICPs for calling POST /v2/recommendations/fetch. Use externalUserId to fetch ICPs belonging to a specific user in your system.

To create or update an ICP, see POST /v2/recommendations/icp.

GET
/v2/recommendations/icp

Authorization

AuthorizationRequiredBearer <token>

In: header

Query Parameters

externalUserIdstring

External User ID

curl -X GET "https://api.surfe.com/v2/recommendations/icp?externalUserId=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

OK

{
  "icpFilters": [
    {
      "companies": {
        "departmentSizes": [
          {
            "department": "R&D",
            "from": 10,
            "to": 1000
          }
        ],
        "employeeCount": {
          "from": 1,
          "to": 100000000
        },
        "employeeCounts": [
          {
            "from": 1,
            "to": 100000000
          }
        ],
        "excludeDomains": [
          "google.com",
          "microsoft.com"
        ],
        "excludeIndustries": [
          "Enterprise Resource Planning (ERP)"
        ],
        "excludeTechnologies": [
          "Akamai",
          "Linkedin Ads"
        ],
        "includeDomains": [
          "akeneo.com",
          "unis.fr",
          "caisoft.com",
          "ennov.com",
          "semarchy.com"
        ],
        "industries": [
          "Software",
          "Finance"
        ],
        "localities": [
          {
            "countries": [
              "us",
              "fr"
            ],
            "isPrimary": false,
            "states": [
              {
                "code": "IDF",
                "countryAlpha2": "fr"
              }
            ],
            "zipCodes": [
              {
                "countryCode": "fr",
                "zipCode": "75009"
              }
            ]
          }
        ],
        "locations": [
          "us",
          "fr"
        ],
        "primaryLocations": [
          "fr",
          "W-EMEA"
        ],
        "revenue": {
          "from": 1,
          "to": 100000000
        },
        "revenues": [
          {
            "from": 1,
            "to": 100000000
          }
        ],
        "states": [
          {
            "code": "IDF",
            "countryAlpha2": "fr"
          }
        ],
        "technologies": [
          "PHP",
          "jQuery"
        ],
        "yearFounded": {
          "from": 1,
          "to": 100000000
        },
        "zipCodes": [
          {
            "countryCode": "fr",
            "zipCode": "75009"
          }
        ]
      },
      "id": "string",
      "people": {
        "countries": [
          "fr",
          "W-EMEA"
        ],
        "departments": [
          "Engineering",
          "Marketing"
        ],
        "exactJobTitles": [
          "Software Engineer",
          "Marketing Manager"
        ],
        "excludeDepartments": [
          "H&R",
          "R&D"
        ],
        "jobChangePeriodInDays": 720,
        "jobTitles": [
          "Software Engineer",
          "Marketing Manager"
        ],
        "previousCompanyDomains": [
          "akeneo.com",
          "unis.fr",
          "caisoft.com",
          "ennov.com",
          "semarchy.com"
        ],
        "seniorities": [
          "Board Member",
          "C-Level",
          "Director",
          "Founder",
          "Head",
          "Manager",
          "Other",
          "Owner",
          "Partner",
          "VP"
        ],
        "states": [
          {
            "code": "IDF",
            "countryAlpha2": "fr"
          }
        ]
      },
      "type": "DECLARED_ICP"
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 0,
    "totalAmount": 0
  }
}